/*
 * @Description: 自定义二维码Store
 * @Author: Ben Lin
 * @version:
 * @Date: 2024-06-18 15:09:47
 * @LastEditors: Ben Lin
 * @LastEditTime: 2024-10-09 22:27:39
 */
import { defineStore } from 'pinia';
import { store } from '@/store';

interface QrhisState {
  hisData: string[];
}

export const useQrhisStore = defineStore({
  id: 'app-Qrhis',
  state: (): QrhisState => ({
    hisData: [],
  }),
  getters: {
    gethisData(state): string[] {
      return state.hisData;
    },
  },
  actions: {
    sethisData(val: string[]) {
      this.hisData = val;
    },
    resetState() {
      this.hisData = [];
    },
  },
  persist: {
    key: 'HONGHU_NX__DEVELOPMENT__hisData', //存储名称
    storage: sessionStorage, // 存储方式
    paths: ['hisData'], //指定 state 中哪些数据需要被持久化。[] 表示不持久化任何状态，undefined 或 null 表示持久化整个 state
  },
});
